apiVersion: shipwright.io/v1beta1
kind: Build
metadata:
  name: single-serve-runtimes
  namespace: redhat-saia
spec:
  output:
    image: 'image-registry.openshift-image-registry.svc:5000/redhat-saia/ollama-model-serve-single:latest'
  paramValues:
    - name: dockerfile
      value: container/single-serve/Containerfile
  source:
    git:
      cloneSecret: git-redhat-saia
      url: 'https://gitlab.consulting.redhat.com/ltourrea/data-science-deploy.git'
    type: Git
  strategy:
    kind: ClusterBuildStrategy
    name: buildah

